Skip to main content

Update Group Settings

POST 

/api/v1/usergroup/settings

Update storage by sending below payload. All keys are mandatory.

warning

If you are using different S3 buckets for Originals, Derivatives and Transcodes, all the buckets must be in the same region. Please see [Setup Custom S3 Bucket] for details.

REQUEST PAYLOAD

{
"key": "storage",
"value": {
"originals_root": "MY-S3-BUCKET",
"originals_root_folder": "folder/path",
"derivatives_root": "MY-S3-BUCKET",
"derivatives_root_folder": "folder/path",
"transcodes_root": "MY-S3-BUCKET",
"transcodes_root_folder": "folder/path"
}
}

REQUEST JSON

ParametersTypeDescription
keystringSet to storage
value.originals_rootstringS3 storage bucket name for original asset files
value.originals_root_folderstringThe path prefix for the object stored in the bucket
value.derivatives_rootstringS3 storage bucket name for image conversions
value.derivatives_root_folderstringThe path prefix for the object stored in the bucket
value.transcodes_rootstringS3 storage bucket name for video transcodes
value.transcodes_root_folderstringThe path prefix for the object stored in the bucket

Request

Responses

Successful operation